Bug 91375 - ipv6_add_tunnel_device tests for all kind of tunnels
ipv6_add_tunnel_device tests for all kind of tunnels
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-05-21 20:24 EDT by Simen E. Sandberg
Modified: 2014-03-16 22:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7.30-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-15 16:27:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch for fix the issue; should apply to both RHL7x and RHL9 branches (792 bytes, text/plain)
2003-07-24 03:12 EDT, Pekka Savola
no flags Details

  None (edit)
Description Simen E. Sandberg 2003-05-21 20:24:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030313 Galeon/1.3.4

Description of problem:
Line 1199 in /etc/sysconfig/network-scripts/network-functions-ipv6 inclued this:

ipv6_exec_ip tunnel show 2>/dev/null

This will test for all kind of tunnels, not only sit-tunnels. It should be
changed to this:

ipv6_exec_ip tunnel show mode sit 2>/dev/null

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create an IPv4 ipip-tunnel manually like this:
/sbin/ip tunnel add tunl1 mode ipip remote ttl 255

2. Create a sit-tunnel using the initsctrips using _the same remote endpoint_,
with ifcfg-sit1 like this:

3. Try to activate the sit-tunnel with ifup sit1

Actual Results:  Bringing up interface sit1:  ERROR    :
[ipv6_add_tunnel_device] Given remote address '' on tunnel device 'sit1'
is already configured on device 'tunl1'

Expected Results:  Nothing. sit1 configured

Additional info:

I have replaced addresses (10.x/feco::) and tunnel names (tunl1) in "Steps to
reproduce" and "Actual results" with private/general addresses/names.
Comment 1 Pekka Savola 2003-07-22 07:28:52 EDT
Hmm, not that there are other proposals to extend "sit" other tunnel modes too.

Perhaps grepping for "ipv6" would fix this issue, like:

ipv6_exec_ip tunnel show | grep ipv6 2>/dev/null
Comment 2 Pekka Savola 2003-07-24 03:12:17 EDT
Created attachment 93097 [details]
patch for fix the issue; should apply to both RHL7x and RHL9 branches
Comment 3 Bill Nottingham 2003-08-15 16:27:57 EDT
Added in 7.30-1.

Note You need to log in before you can comment on or make changes to this bug.